Skip to main content

Endpoint

POST /v3/universal-ai (sync) Model string pattern: image/logo_detection/{provider}[/{model}]

Input

FieldTypeRequiredDescription
filefile_inputYesImage file ID from /v3/upload or direct file URL

Output

FieldTypeRequiredDescription
itemsarray[object]NoList of the detected brands logo from the image.
    bounding_polyobjectNo
        verticesarray[object]NoVertices of the logos in the image
            xfloatYesThe x-coordinate of the vertex.
            yfloatYesThe y-coordinate of the vertex.
    descriptionstringYesName of the logo
    scorefloatYesConfidence score how sure it’s this is a real logo.

Available Providers

ProviderModel StringPrice
api4aiimage/logo_detection/api4ai$0.25 per 1,000 files
api4ai (v1)image/logo_detection/api4ai/v1$0.25 per 1,000 files
api4ai (v2)image/logo_detection/api4ai/v2$2.5 per 1,000 files
clarifaiimage/logo_detection/clarifai$2 per 1,000 files
googleimage/logo_detection/google$1.5 per 1,000 files
microsoftimage/logo_detection/microsoft$1 per 1,000 files
openaiimage/logo_detection/openai$24 per 1,000 files
openai (gpt-4o)image/logo_detection/openai/gpt-4o$24 per 1,000 files
openai (gpt-4-turbo)image/logo_detection/openai/gpt-4-turbo$48 per 1,000 files

Quick Start

import requests

url = "https://api.edenai.run/v3/universal-ai"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

payload = {
    "model": "image/logo_detection/api4ai",
    "input": {
        "file": "YOUR_FILE_UUID_OR_URL"
    }
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())